Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

Get Metadata for an Object

Use the sObject Basic Information resource to get metadata for an object.

To get a complete description of an object, including field names and their metadata, see Get a List of Objects.

Example for getting Account metadata

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Account/ -H "Authorization: Bearer token"

Example request body for getting Account metadata

none required

Example response body for getting Account metadata

1{
2  "objectDescribe" :
3  {
4    "name" : "Account",
5    "updateable" : true,
6    "label" : "Account",
7    "keyPrefix" : "001",
8
9    ...
10
11    "replicateable" : true,
12    "retrieveable" : true,
13    "undeletable" : true,
14    "triggerable" : true
15  },
16  "recentItems" :
17  [
18    {
19      "attributes" :
20      {
21        "type" : "Account",
22        "url" : "/services/data/v67.0/sobjects/Account/001D000000INjVeIAL"
23      },
24      "Id" : "001D000000INjVeIAL",
25      "Name" : "asdasdasd"
26    },
27
28    ...
29
30  ]
31}